com.amazonaws.services.simpleworkflow.model

## Class ActivityTypeInfo

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.ActivityTypeInfo

All Implemented Interfaces:
  Serializable, Cloneable

    public class ActivityTypeInfo
    extends Object
    implements Serializable, Cloneable

Detailed information about an activity type.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ActivityTypeInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ActivityTypeInfo` `clone()`
`boolean` `equals(Object obj)`
`ActivityType` `getActivityType()` The ActivityType type structure representing the activity type.
`Date` `getCreationDate()` The date and time this activity type was created through RegisterActivityType.
`Date` `getDeprecationDate()` If DEPRECATED, the date and time DeprecateActivityType was called.
`String` `getDescription()` The description of the activity type provided in RegisterActivityType.
`String` `getStatus()` The current status of the activity type.
`int` `hashCode()`
`void` `setActivityType(ActivityType activityType)` The ActivityType type structure representing the activity type.
`void` `setCreationDate(Date creationDate)` The date and time this activity type was created through RegisterActivityType.
`void` `setDeprecationDate(Date deprecationDate)` If DEPRECATED, the date and time DeprecateActivityType was called.
`void` `setDescription(String description)` The description of the activity type provided in RegisterActivityType.
`void` `setStatus(RegistrationStatus status)` The current status of the activity type.
`void` `setStatus(String status)` The current status of the activity type.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ActivityTypeInfo` `withActivityType(ActivityType activityType)` The ActivityType type structure representing the activity type.
`ActivityTypeInfo` `withCreationDate(Date creationDate)` The date and time this activity type was created through RegisterActivityType.
`ActivityTypeInfo` `withDeprecationDate(Date deprecationDate)` If DEPRECATED, the date and time DeprecateActivityType was called.
`ActivityTypeInfo` `withDescription(String description)` The description of the activity type provided in RegisterActivityType.
`ActivityTypeInfo` `withStatus(RegistrationStatus status)` The current status of the activity type.
`ActivityTypeInfo` `withStatus(String status)` The current status of the activity type.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ActivityTypeInfo

    public ActivityTypeInfo()

### Method Detail

#### setActivityType

    public void setActivityType(ActivityType activityType)

The ActivityType type structure representing the activity type.

Parameters:
  `activityType` - The ActivityType type structure representing the activity type.

#### getActivityType

    public ActivityType getActivityType()

The ActivityType type structure representing the activity type.

Returns:
  The ActivityType type structure representing the activity type.

#### withActivityType

    public ActivityTypeInfo withActivityType(ActivityType activityType)

The ActivityType type structure representing the activity type.

Parameters:
  `activityType` - The ActivityType type structure representing the activity type.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStatus

    public void setStatus(String status)

The current status of the activity type.

Parameters:
  `status` - The current status of the activity type.
See Also:
  `RegistrationStatus`

#### getStatus

    public String getStatus()

The current status of the activity type.

Returns:
  The current status of the activity type.
See Also:
  `RegistrationStatus`

#### withStatus

    public ActivityTypeInfo withStatus(String status)

The current status of the activity type.

Parameters:
  `status` - The current status of the activity type.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `RegistrationStatus`

#### setStatus

    public void setStatus(RegistrationStatus status)

The current status of the activity type.

Parameters:
  `status` - The current status of the activity type.
See Also:
  `RegistrationStatus`

#### withStatus

    public ActivityTypeInfo withStatus(RegistrationStatus status)

The current status of the activity type.

Parameters:
  `status` - The current status of the activity type.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `RegistrationStatus`

#### setDescription

    public void setDescription(String description)

The description of the activity type provided in RegisterActivityType.

Parameters:
  `description` - The description of the activity type provided in RegisterActivityType.

#### getDescription

    public String getDescription()

The description of the activity type provided in RegisterActivityType.

Returns:
  The description of the activity type provided in RegisterActivityType.

#### withDescription

    public ActivityTypeInfo withDescription(String description)

The description of the activity type provided in RegisterActivityType.

Parameters:
  `description` - The description of the activity type provided in RegisterActivityType.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCreationDate

    public void setCreationDate(Date creationDate)

The date and time this activity type was created through RegisterActivityType.

Parameters:
  `creationDate` - The date and time this activity type was created through RegisterActivityType.

#### getCreationDate

    public Date getCreationDate()

The date and time this activity type was created through RegisterActivityType.

Returns:
  The date and time this activity type was created through RegisterActivityType.

#### withCreationDate

    public ActivityTypeInfo withCreationDate(Date creationDate)

The date and time this activity type was created through RegisterActivityType.

Parameters:
  `creationDate` - The date and time this activity type was created through RegisterActivityType.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDeprecationDate

    public void setDeprecationDate(Date deprecationDate)

If DEPRECATED, the date and time DeprecateActivityType was called.

Parameters:
  `deprecationDate` - If DEPRECATED, the date and time DeprecateActivityType was called.

#### getDeprecationDate

    public Date getDeprecationDate()

If DEPRECATED, the date and time DeprecateActivityType was called.

Returns:
  If DEPRECATED, the date and time DeprecateActivityType was called.

#### withDeprecationDate

    public ActivityTypeInfo withDeprecationDate(Date deprecationDate)

If DEPRECATED, the date and time DeprecateActivityType was called.

Parameters:
  `deprecationDate` - If DEPRECATED, the date and time DeprecateActivityType was called.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ActivityTypeInfo clone()

Overrides:
  `clone` in class `Object`